function fig5()
% Illustrate the centroid displacement average from airlight
close all

im0 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_.jpg');
im1 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_glg.jpg');
im0 = im2double(im0);
im1 = im2double(im1);

m0 = proto01sub_imgout(im0);
m1 = proto01sub_imgout(im1);
max_value = max([m0(:);m1(:)]);
figure;
imagesc(m0, [0 max_value]); colormap gray
axis image off;
%savetopdf('..\fig5b');
figure;
imagesc(m1, [0 max_value]); colormap gray
axis image off;
%savetopdf('..\fig5c');
fprintf('Foggy image: \t\t M5 = %0.3f\n', mean(m0(:)));
fprintf('Defogged image: \t M5 = %0.3f\n', mean(m1(:)));
end
function savetopdf(rootname)
    %imshow(data(index).im);
    print('-depsc', '-r300', [rootname, '.eps']);
    if( system(['epstopdf ', rootname, '.eps']) )
        error('Error in calling epstopdf');
    else
        fprintf('Saved image to %s.pdf\n', rootname);
    end
end