function result = GetHitResults( DB, mhl_idx, hit_idx )

valid_IDs = GetCompleted(DB);

result = [];
% List of results for each user
hit = DB.mhl(mhl_idx+1).(sprintf('hit%d',hit_idx));
% Grab only results from users who completed all hit lists
for j=1:length(valid_IDs)
    c = find( DB.mhl(mhl_idx+1).ID == valid_IDs(j), 1 );
    if ~isempty( c )
        r = hit( c );
        result = [result; r];
    end
end

result = result';

end