function m = momentx(x,n)
%function mx = momentx(x,n)
% x - input samples
% n - moment
% Compute the nth moment of the data sequence x
% m_n = sum_{i=1}^{N}( x(i) - mean(x) )^n / N

xn = x-mean(x(:));
xn = xn.^n;
m = sum(xn)/length(x);