function [train_idxs validate_idxs] = GetTrainValIdxs(Fpool, perc)

num_trials = size(Fpool,1);

trial_idxs = randperm(num_trials);

tidx = round(num_trials*perc);
train_idxs = trial_idxs(1:tidx);
validate_idxs = trial_idxs(tidx+1:end);


end