function [k v c] = PrintMOSResults(mhl_idx)
% Get ranking or mean opinion score
load Database_ISCAS2012
DB = DB_ISCAS2012;
newMap = containers.Map();
mapCount = containers.Map();
for hit_idx = 0:27
    hit_id = find( hit_idx == DB.hl(mhl_idx+1).hitid );

    str0 = cell2mat(DB.hl(mhl_idx+1).img0(hit_id));
    str1 = cell2mat(DB.hl(mhl_idx+1).img1(hit_id));
    % r = DBStats.mos(mhl_idx+1, hit_idx+1);
    % mos = mean(r);
    [mos, conf] = GetScreenedMOSidx(mhl_idx, hit_idx);
    %fprintf('%0.2f %s, %s\n', mos, str0, str1);
    %fprintf(' mos = %0.3f', mos);
    % shift from [1 5] 
    % If they liked the left image then mos is 1
    if( newMap.isKey(str0) )
        newMap(str0) = double(newMap(str0) + (6-mos)*(mos<=3) + (6-mos)*(mos>3));
        mapCount(str0) = mapCount(str0) + 1;
    else
        newMap(str0) = double((6-mos)*(mos<=3) + (6-mos)*(mos>3));
        mapCount(str0) = 1;
    end
    
    % If they liked the left image then mos is 5
    if( newMap.isKey(str1) )
        newMap(str1) = double(newMap(str1) + mos);
        mapCount(str1) = mapCount(str1) + 1;
    else
        newMap(str1) = double(mos);
        mapCount(str1) = 1;
    end
end

k = newMap.keys;
v = newMap.values;
v = cell2mat(v);
c = mapCount.values;
c = cell2mat(c);

% fprintf('Key, Mos\n')
% There was a mistake here.
% For my first submission, I had v(i)/5
% I found this was not accurate during my qual prep.
% There isn't an even spread of image comparisons
% so I have to calculate the count for each image.
if nargout <=0
for i=1:length(v)
    fprintf('%s, %0.2f\n', cell2mat(k(i)), v(i)/c(i))
end
end

end